[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragObject.AutoCreate

Special constructor, enforcing the destruction of the object at the end of the dragging operation.

## Declaration

Source position: controls.pp line 365

`public constructor TDragObject.AutoCreate(`
`AControl: TControl`
`);`

## Description

This constructor sets the AutoCreated and AutoFree flags. AutoFree is tested by the DragManager at the end of the dragging operation.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.